ReportsModeler (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting

## Class ReportsModeler

- java.lang.Object
- - org.gcube.application.reporting.ReportsModeler

- All Implemented Interfaces:
    Modeler<ReportComponent>

      public final class ReportsModeler
      extends Object
      implements Modeler<ReportComponent>

  Author:
    massi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_NAME`
    `static int` | `TEMPLATE_HEIGHT`
    `static int` | `TEMPLATE_WIDTH` Styling attr, not used anymore but needed for backward compatibility

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportsModeler(String id, String name, String author, Date dateCreated, Date lastEdit, String lastEditorId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(ReportComponent rc)`
    `org.gcube.portlets.d4sreporting.common.shared.Model` | `getReportInstance()`
    `int` | `nextSection()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_WIDTH

          public static final int TEMPLATE_WIDTH

      Styling attr, not used anymore but needed for backward compatibility
      See Also:
        Constant Field Values

    - #### TEMPLATE_HEIGHT

          public static final int TEMPLATE_HEIGHT

      See Also:
        Constant Field Values

    - #### DEFAULT_NAME

          public static final String DEFAULT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReportsModeler

          public ReportsModeler(String id,
                                String name,
                                String author,
                                Date dateCreated,
                                Date lastEdit,
                                String lastEditorId)

      Parameters:
        `a` - the report unique idenntifier
        `name` - the report name
        `author` - the author
        `dateCreated` -
        `lastEdit` -
        `lastEditorId` - last editor username

  - ### Method Detail

    - #### add

          public boolean add(ReportComponent rc)

      Specified by:
        `add` in interface `Modeler<ReportComponent>`

    - #### nextSection

          public int nextSection()

    - #### getReportInstance

          public org.gcube.portlets.d4sreporting.common.shared.Model getReportInstance()
                                                                                throws Exception

      Throws:
        `Exception`

Copyright © 2017. All Rights Reserved.